/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomPlugin_H__
#define __GdomPlugin_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomPlugin GdomPlugin;
typedef struct _GdomPluginClass GdomPluginClass;


#define GDOM_TYPE_PLUGIN            (gdom_plugin_get_type())
#define GDOM_PLUGIN(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_PLUGIN, GdomPlugin))
#define GDOM_PLUGIN_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_PLUGIN, GdomPlugin)Class)
#define GDOM_IS_PLUGIN(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_PLUGIN))
#define GDOM_IS_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_PLUGIN))
#define GDOM_PLUGIN_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_PLUGIN, GdomPluginClass))

typedef struct _GdomPluginPrivate GdomPluginPrivate;

struct _GdomPlugin {
    GdomDOMObject parent_instance;
    GdomPluginPrivate *priv;
};

struct _GdomPluginClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_plugin_get_type (void);

G_END_DECLS

#endif /* __GdomPlugin_H__ */
